Bug 238308 - x11-clocks/emiclock: Add UTF-8 resource file
Summary: x11-clocks/emiclock: Add UTF-8 resource file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-03 12:18 UTC by Takahashi Yoshihiro
Modified: 2019-06-21 08:20 UTC (History)
2 users (show)

See Also:


Attachments
Add UTF-8 resource file (716 bytes, application/gzip)
2019-06-03 12:18 UTC, Takahashi Yoshihiro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Takahashi Yoshihiro freebsd_committer 2019-06-03 12:18:49 UTC
Created attachment 204801 [details]
Add UTF-8 resource file

I have made a patch that installs X11 resource file for UTF-8.

Note: COPYRIGHT.en says
>  (4) You may not modify this software partially or entirely and distribute
>      it without the permission of the authors.

So I asked the author and got permissions to install UTF-8 resource file converted from EUC and
(re)distribute a package that include UTF-8 resource file.
Comment 1 Rodrigo Osorio freebsd_committer 2019-06-13 21:34:09 UTC
Hi,

I don't think the restriction applies here, but you did a good job
by requesting it.

Now I need some extra details to add it to the commit log.
Can you provide the approval message or at least the except
with the approval and how do you get it email, IM, etc?

Cheers,
-- rodrigo
Comment 2 Takahashi Yoshihiro freebsd_committer 2019-06-14 15:05:30 UTC
I asked Masayuki Koba <koba@hoge.org>, the author of Emi Clock for X11,
via email with the following message.

> Could you please approve the followings.
>
> 1. Install and use UTF-8 resource file converted from EUC
>    (resources/R6/EUC/EmiClock.ad) without any changes.
>
> 2. Add the above method to emiclock's port and redistribute a package
>    that include UTF-8 resource file.

I received the following mail from koba-san.

> Of course, I think that they are suitable ways these days so you may
> modify it.

In fact, I sent and received emails in Japanese.  Because he reply Japanese only.
Comment 3 Rodrigo Osorio freebsd_committer 2019-06-20 17:03:10 UTC
That's fine for me.
Comment 4 Rodrigo Osorio freebsd_committer 2019-06-21 08:19:49 UTC
committed, thanks.
Comment 5 commit-hook freebsd_committer 2019-06-21 08:20:34 UTC
A commit references this bug:

Author: rodrigo
Date: Fri Jun 21 08:19:47 UTC 2019
New revision: 504772
URL: https://svnweb.freebsd.org/changeset/ports/504772

Log:
  Add UTF-8 resource file to x11-clocks/emiclock
  Add LICENSE section and update the LEGAL file accordingly.
  Bump PORTREVISION

  x11-clocks/emiclock has a very restrictive license and changes has
  to be approved by Masayuki Koba the original author.
  The approval was obtained  by private email exchange (in Japanese).

  =======================
  From: koba@hoge.org
  To: nyan@FreeBSD.org
  > nyan wrote:
  > Could you please approve the followings.
  >
  > 1. Install and use UTF-8 resource file converted from EUC
  >    (resources/R6/EUC/EmiClock.ad) without any changes.
  >
  > 2. Add the above method to emiclock's port and redistribute a package
  >    that include UTF-8 resource file.

  Of course, I think that they are suitable ways these days so you may
  modify it.
  =======================

  PR:		238308
  Submitted by:	nyan
  Approved by:	Masayuki Koba <koba@hoge.org> (author)

Changes:
  head/LEGAL
  head/x11-clocks/emiclock/Makefile
  head/x11-clocks/emiclock/pkg-plist